#include<bits/stdc++.h>
using namespace std;

void s(){
	long long k; cin >> k;
	long long n = 1;
	while(n * n - n < k) ++ n;
	long long d = 0;
	while((n * n + d) - n >= k && (n * n + (d - 1) - n >= k)) -- d;
	cout << n * n + d - 1 << endl;
}

int main(){
	int t; cin >> t; while(t --) s();
}
